> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contracts

<Info>
  Paginated. Use `page` (default 1) and `items_per_page` (max 100) to navigate results.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /ats-contracts
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /ats-contracts:
    get:
      tags:
        - ATS Contracts
      summary: List Contracts
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: items_per_page
          in: query
          schema:
            type: integer
            default: 25
            maximum: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  contracts:
                    type: array
                    items:
                      $ref: '#/components/schemas/AtsContract'
                  total:
                    type: integer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
components:
  schemas:
    AtsContract:
      type: object
      properties:
        id:
          type: integer
        uuid:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
        requirements_text:
          type: string
        internal_notes:
          type: string
        specialty:
          type: string
        department:
          type: string
        status:
          type: string
          enum:
            - active
            - draft
            - closed
            - filled
        visibility:
          type: string
          enum:
            - public
            - internal
        shift_type:
          type: string
        shift_schedule:
          type: string
        shift_period:
          type: string
        pay_rate:
          type: string
        pay_type:
          type: string
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        duration:
          type: string
        hours_per_week:
          type: number
        positions_needed:
          type: integer
        client_id:
          type: integer
        skillset_id:
          type: integer
        pipeline_id:
          type: integer
        location_id:
          type: integer
        auto_notify:
          type: boolean
        created_by:
          type: integer
        created_at:
          type: string
          format: date-time
      required:
        - title
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````